Update an endpoint
Updates the details of an endpoint.
Execute this operation sequentially - wait for each request to complete before starting the next.
For bulk updates, use PATCH /api/v2/endpoint/multi instead (supports up to 2,000 endpoints).
Telia charges for activated SIMs, even if the endpoint status is set to Disabled.
To avoid accruing unexpected charges, update the SIM status to Suspended ("id": 2).
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
endpoint_id
Numeric ID of an endpoint
Request
This endpoint expects an object.
service_profile
tariff_profile
status
ip_address_space
sim
name
imei
imei_lock
ip_address
tag_assignments
IDs of existing tags replacing the tags currently assigned to the endpoint. An empty array removes all tags.
Mutually exclusive with tags. Provide at most one of the two.
Response
Endpoint updated successfully
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error